agency-board
POST /v1/agency/boards/{boardId}/event-subscriptions
Turn a platform event on for this board.
Authentification
Envoyez une clé d'API en tant que jeton du porteur (bearer token). Cet endpoint n'indique pas de permission spécifique dans la spécification, attribuez donc à votre clé le minimum requis et vérifiez la réponse plutôt que de faire des suppositions.
Cet endpoint ne prend aucun identifiant d'organisation. Votre clé identifie déjà l'organisation à laquelle elle appartient, et la réponse y est limitée.
Essayer
Remplacez tout ce qui se trouve entre crochets par vos propres valeurs, et le espace réservé à la clé par une clé de votre tableau de bord.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/event-subscriptions \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "event_type": <string>, "column_id": <Uuid> }'Connecté ? La console d'API de votre tableau de bord saisit votre véritable ID d'organisation ainsi que votre propre clé, et exécute la requête sur l'API de production afin que vous puissiez voir la réponse réelle. Ouvrir ce point de terminaison dans la console API
Détails
Opt-in, per board, off by default — nothing appears on a board nobody chose. One subscription per event type per board; posting the same event type again updates it. Cards land `internal` unless you say otherwise: a platform event names our own infrastructure and sometimes our own failures, and putting one in front of the agency's client should be a choice rather than a default.
Paramètres
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
boardId (path) | Uuid | Oui | Project board ID (UUIDv7). |
Corps de la requête
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
event_type | string | Oui | — |
column_id | Uuid | Oui | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
label_id | Uuid | Non | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_visibility | string<internal, client> | Non | — |
enabled | boolean | Non | — |
Réponse
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
id | Uuid | Oui | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
board_id | Uuid | Oui | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
event_type | string | Oui | — |
column_id | Uuid | Oui | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
label_id | Uuid | Non | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_visibility | string<internal, client> | Non | — |
enabled | boolean | Oui | — |
card_count | integer | Non | — |
last_card_at | string | Non | — |
created_at | string | Non | — |
Erreurs que cet point de terminaison peut renvoyer
401 · 403 · 404 · 422